/* Load the REXXUTIL DLL */
Rc=RxFuncAdd('SysLoadFuncs','RexxUtil','SysLoadFuncs')
Call SysLoadFuncs

/* Set to the BOOT Drive */
TargetDrive=Filespec('Drive',Value('SYSTEM_INI',,'OS2ENVIRONMENT'))

/* Make the Target Directory */
        Rc=SysMkDir(TargetDrive'\CPQUTILS')
        Rc=SysMkDir(TargetDrive'\CPQUTILS\HTMLRDR')

/* Copy to the Target Drive */
     'COPY A:\HTMLRDR\*.*  'TargetDrive'\CPQUTILS\HTMLRDR'        
     'COPY A:\VIEWME.EXE  'TargetDrive'\CPQUTILS\HTMLRDR'        
     'COPY A:\VIEWME.HLP  'TargetDrive'\CPQUTILS\HTMLRDR'
             
/* Create the Folder on the Desktop */
                Call Create_Folder
     
/* Check if the Folder was created */
                If Folder_Created then Do

/* Create the Program Object in the Folder */
                        Call Create_Program_Object

            End

/* Display an Approriate Message */
        	Call SysCls   
		Say ""
		Say ""
		Say "         Sucessfully Created Compaq SSD Documentation Folder"

/* Drop the RexxUtil Funcs */	
	Rc=RxFuncDrop('SysLoadFuncs')
Exit
     
Create_Folder:

/* Initialize Folder Created to True */
	Folder_Created=1
	
rc = SysCreateObject('WPFolder',,
                      'Compaq Utilities',,
		      '<WP_DESKTOP>',,
		      'OBJECTID=<CPQ_FOLDER>;ICONFILE='TargetDrive'\CPQUTILS\HTMLRDR\CPQUTIL.ICO','U')
		     
/* Check if the Folder was successfully created */
	If Rc=0 then Do


/* Set Folder_Created to False */
		Folder_Created=0
		
/* Display an Approriate Error Message */
        	Call SysCls   
		Say ""
		Say ""
		Say "Could not create Compaq OS/2 Set-Up Folder"
	End

Return	

Create_Program_Object:

/* Create an object in the Folder */

rc = SysCreateObject('WPProgram',,
                        'Compaq SSD Documentation',,
			 '<CPQ_FOLDER>',,
        'OBJECTID=<CPQ_RDR>;ICONFILE='TargetDrive'\CPQUTILS\HTMLRDR\HTMLRDR.ICO',
	';EXENAME='TargetDrive'\CPQUTILS\HTMLRDR\VIEWME.EXE;PARAMETERS='TargetDrive'\CPQUTILS\HTMLRDR\VIEWME.HTM',,
		           'R')

/* Check if the Program was successfully created */
	If Rc=0 then Do

/* Display an Approriate Error Message */
		Call SysCls   
		Say ""
		Say ""
		Say "Could not create Compaq SSD Documentation Object"
	End					
Return
